commit:     4f63c619440b154a2ed025f2cd8b90b56d4981cf
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Nov  7 14:38:12 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Nov  7 15:19:00 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4f63c619

dev-python/openapi-core: Bump to 0.18.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/openapi-core/Manifest                   |  1 +
 dev-python/openapi-core/openapi-core-0.18.2.ebuild | 69 ++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/dev-python/openapi-core/Manifest b/dev-python/openapi-core/Manifest
index 3e298f1b2da5..d091f24af892 100644
--- a/dev-python/openapi-core/Manifest
+++ b/dev-python/openapi-core/Manifest
@@ -1 +1,2 @@
 DIST openapi_core-0.18.1.tar.gz 84070 BLAKE2B 
523b620106493aac11135025791440cbc4e7dc415a10344a74e2de3500834bda6158aa286f167e629ae90e1eefd568527832fb86557c16eace162d2bac98e30b
 SHA512 
ae59c0ca948ebfcf01b63db8a463869bbb748336f32c917b2ed22bd94934c91b6fe280bf94bf82a24df9fb29979e6a1b5ce665d12b6bb6480405e9586a9fc8d5
+DIST openapi_core-0.18.2.tar.gz 84444 BLAKE2B 
bb05ba86eff3c70c780f1919a29b93f2137983318834c51204d7ad1094fc645d2dbcef93d92d03096826688fdfe1811c551eee68995fd46739314c2e4bc77cfc
 SHA512 
552109c095c840a46759a54e247a3ac2d8cc36707ba89815740eef4b7fb421bd489929543892341fd89a578bff4043c8c81302fddaa1efe125238e050f152c27

diff --git a/dev-python/openapi-core/openapi-core-0.18.2.ebuild 
b/dev-python/openapi-core/openapi-core-0.18.2.ebuild
new file mode 100644
index 000000000000..27d7d2a5ee2f
--- /dev/null
+++ b/dev-python/openapi-core/openapi-core-0.18.2.ebuild
@@ -0,0 +1,69 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Client-side and server-side support for the OpenAPI Specification 
v3"
+HOMEPAGE="
+       https://github.com/python-openapi/openapi-core/
+       https://pypi.org/project/openapi-core/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+       <dev-python/asgiref-4[${PYTHON_USEDEP}]
+       >=dev-python/asgiref-3.6.0[${PYTHON_USEDEP}]
+       dev-python/isodate[${PYTHON_USEDEP}]
+       <dev-python/jsonschema-5[${PYTHON_USEDEP}]
+       >=dev-python/jsonschema-4.17.3[${PYTHON_USEDEP}]
+       <dev-python/jsonschema-spec-0.3[${PYTHON_USEDEP}]
+       >=dev-python/jsonschema-spec-0.2.3[${PYTHON_USEDEP}]
+       dev-python/more-itertools[${PYTHON_USEDEP}]
+       dev-python/parse[${PYTHON_USEDEP}]
+       <dev-python/openapi-schema-validator-0.7[${PYTHON_USEDEP}]
+       >=dev-python/openapi-schema-validator-0.6.0[${PYTHON_USEDEP}]
+       <dev-python/openapi-spec-validator-0.8[${PYTHON_USEDEP}]
+       >=dev-python/openapi-spec-validator-0.7.1[${PYTHON_USEDEP}]
+       dev-python/werkzeug[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+       test? (
+               >=dev-python/aiohttp-3.8.4[${PYTHON_USEDEP}]
+               dev-python/flask[${PYTHON_USEDEP}]
+               >=dev-python/httpx-0.24.0[${PYTHON_USEDEP}]
+               >=dev-python/pytest-aiohttp-1.0.4[${PYTHON_USEDEP}]
+               dev-python/responses[${PYTHON_USEDEP}]
+               >=dev-python/starlette-0.26.1[${PYTHON_USEDEP}]
+               dev-python/strict-rfc3339[${PYTHON_USEDEP}]
+               dev-python/webob[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+       # falcon is not packaged
+       tests/integration/contrib/falcon
+
+       # TODO: these tests fail to collect
+       tests/integration/validation/test_security_override.py
+       tests/integration/validation/test_read_only_write_only.py
+
+       # unhappy about modern django
+       tests/integration/contrib/django/test_django_project.py
+       tests/unit/contrib/django/test_django.py
+)
+
+src_prepare() {
+       sed -i -e '/--cov/d' pyproject.toml || die
+       distutils-r1_src_prepare
+}

Reply via email to